package com.lz.modules.performance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.common.utils.R;
import com.lz.modules.flow.entity.ResultTagetLib;
import com.lz.modules.flow.model.ResultTagetLibDto;
import com.lz.modules.flow.req.ResultTagetLibItemReq;
import com.lz.modules.flow.req.ResultTagetLibSearchReq;

import java.util.List;

/**
* <p>
* 考核指标库表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-16
*/
public interface ResultTagetLibService extends IService<ResultTagetLib> {



	ResultTagetLib selectResultTagetLibById(Long id);


	R insertResultTagetLib(ResultTagetLib resultTagetLib);


	int updateResultTagetLibById(ResultTagetLib resultTagetLib);


	int updateCoverResultTagetLibById(ResultTagetLib resultTagetLib);


	int deleteResultTagetLibById(Long id);


    List<ResultTagetLib> selectResultTagetLibByModelId(Long id);

    PageUtils selectResultTagetLibByReq(ResultTagetLibSearchReq req);

	int deleteResultTagetLibByModelId(Long id);

	int insertResultTagetLibs(List<ResultTagetLib> inserts);

	int updateResultTagetLibByIds(List<ResultTagetLib> inserts);

	List<ResultTagetLibItemReq> selectResultTagetLibByModelReqId(Long id);

	List<ResultTagetLibDto> selectResultTagetLibDtoByModelId(Long id);
}